class bi_elasticsearch (
    $package_name = hiera("package_name", undef),
    $rpm_url = hiera("rpm_url", undef),
    $etc_dir = hiera("etc_dir", undef),
    $tmp_dir = hiera("tmp_dir", undef),
    $java_conf = hiera("java_conf", undef),
) {

    if $package_name == undef or !is_string($package_name) { 
        fail("'package_name' must be defined") 
    }
    
    if $rpm_url == undef or !is_string($rpm_url) { 
        fail("'rpm_url' must be defined") 
    }
    
    if $java_conf == undef or !is_string($java_conf) { 
        fail("'java_conf' must be defined") 
    }
    
    if $etc_dir == undef or !is_string($etc_dir) { 
        fail("'etc_dir' must be defined") 
    }
    
    if $tmp_dir == undef or !is_string($tmp_dir) { 
        fail("'tmp_dir' must be defined") 
    }
    
    file { $etc_dir:
        ensure => 'directory',
        owner => 'root',
        group => 'root',
        mode => '755',
    }

    file { $tmp_dir:
        ensure => 'directory',
        owner => 'root',
        group => 'root',
        mode => '755',
    }
}
