class bi_elasticsearch::conf::logging (
    
) {
    require ::bi_banner
    require ::bi_elasticsearch
    
    file { "$bi_elasticsearch::etc_dir/logging.yml":
        owner => 'root',
        group => 'root',
        mode => '644',
        ensure => present,
        content => template("$::bi_banner::pound_header", "$module_name/etc/elasticsearch/logging.yml.erb"),
        notify => Class[::bi_elasticsearch::server::service],
    }
}
